datacache <- new.env(hash=TRUE, parent=emptyenv())

Mu15v1 <- function() showQCData("Mu15v1", datacache)
Mu15v1_dbconn <- function() dbconn(datacache)
Mu15v1_dbfile <- function() dbfile(datacache)
Mu15v1_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
Mu15v1_dbInfo <- function() dbInfo(datacache)

Mu15v1ORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "Mu15v1.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("MOUSECHIP_DB", "Mu15v1", "chip Mu15v1", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(Mu15v1_dbconn())
}

